.TH wxMenuBar 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxMenuBar \- See external documentation: wxMenuBar\&.
.SH DESCRIPTION
.LP
See external documentation: wxMenuBar <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxMenuBar()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxMenuBar()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarwxmenubar>\&.
.RE
.LP
.B
new(Style::integer()) -> wxMenuBar()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarwxmenubar>\&.
.RE
.LP
.B
append(This::wxMenuBar(), Menu::wxMenu() (see module wxMenu), Title::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarappend>\&.
.RE
.LP
.B
check(This::wxMenuBar(), Itemid::integer(), Check::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarcheck>\&.
.RE
.LP
.B
enable(This::wxMenuBar()) -> bool()
.br
.RS
.LP
Equivalent to enable(This, [])\&.
.RE
.LP
.B
enable(This::wxMenuBar(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarenable>\&.
.RE
.LP
.B
enable(This::wxMenuBar(), Itemid::integer(), Enable::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarenable>\&.
.RE
.LP
.B
enableTop(This::wxMenuBar(), Pos::integer(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarenabletop>\&.
.RE
.LP
.B
findMenu(This::wxMenuBar(), Title::string()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarfindmenu>\&.
.RE
.LP
.B
findMenuItem(This::wxMenuBar(), MenuString::string(), ItemString::string()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarfindmenuitem>\&.
.RE
.LP
.B
findItem(This::wxMenuBar(), Id::integer()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarfinditem>\&.
.RE
.LP
.B
getHelpString(This::wxMenuBar(), Itemid::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubargethelpstring>\&.
.RE
.LP
.B
getLabel(This::wxMenuBar()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubargetlabel>\&.
.RE
.LP
.B
getLabel(This::wxMenuBar(), Itemid::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubargetlabel>\&.
.RE
.LP
.B
getLabelTop(This::wxMenuBar(), Pos::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubargetlabeltop>\&.
.RE
.LP
.B
getMenu(This::wxMenuBar(), Pos::integer()) -> wxMenu() (see module wxMenu)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubargetmenu>\&.
.RE
.LP
.B
getMenuCount(This::wxMenuBar()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubargetmenucount>\&.
.RE
.LP
.B
insert(This::wxMenuBar(), Pos::integer(), Menu::wxMenu() (see module wxMenu), Title::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarinsert>\&.
.RE
.LP
.B
isChecked(This::wxMenuBar(), Itemid::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarischecked>\&.
.RE
.LP
.B
isEnabled(This::wxMenuBar()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarisenabled>\&.
.RE
.LP
.B
isEnabled(This::wxMenuBar(), Itemid::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarisenabled>\&.
.RE
.LP
.B
remove(This::wxMenuBar(), Pos::integer()) -> wxMenu() (see module wxMenu)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarremove>\&.
.RE
.LP
.B
replace(This::wxMenuBar(), Pos::integer(), Menu::wxMenu() (see module wxMenu), Title::string()) -> wxMenu() (see module wxMenu)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarreplace>\&.
.RE
.LP
.B
setHelpString(This::wxMenuBar(), Itemid::integer(), HelpString::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarsethelpstring>\&.
.RE
.LP
.B
setLabel(This::wxMenuBar(), S::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarsetlabel>\&.
.RE
.LP
.B
setLabel(This::wxMenuBar(), Itemid::integer(), Label::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarsetlabel>\&.
.RE
.LP
.B
setLabelTop(This::wxMenuBar(), Pos::integer(), Label::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenubar\&.html#wxmenubarsetlabeltop>\&.
.RE
.LP
.B
destroy(This::wxMenuBar()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
